pragma Ada_2012;
pragma Style_Checks (Off);
pragma Warnings ("U");

with Interfaces.C; use Interfaces.C;
with Interfaces.C.Extensions;

package dbus_arch_deps_h is

   DBUS_HAVE_INT64 : constant := 1;  --  /usr/lib/mipsel-linux-gnu/dbus-1.0/include/dbus/dbus-arch-deps.h:35
   --  unsupported macro: DBUS_INT64_CONSTANT(val) (_DBUS_GNUC_EXTENSION (val ##LL))
   --  unsupported macro: DBUS_UINT64_CONSTANT(val) (_DBUS_GNUC_EXTENSION (val ##ULL))

   DBUS_MAJOR_VERSION : constant := 1;  --  /usr/lib/mipsel-linux-gnu/dbus-1.0/include/dbus/dbus-arch-deps.h:51
   DBUS_MINOR_VERSION : constant := 14;  --  /usr/lib/mipsel-linux-gnu/dbus-1.0/include/dbus/dbus-arch-deps.h:52
   DBUS_MICRO_VERSION : constant := 0;  --  /usr/lib/mipsel-linux-gnu/dbus-1.0/include/dbus/dbus-arch-deps.h:53

   DBUS_VERSION_STRING : aliased constant String := "1.14.0" & ASCII.NUL;  --  /usr/lib/mipsel-linux-gnu/dbus-1.0/include/dbus/dbus-arch-deps.h:55
   --  unsupported macro: DBUS_VERSION ((1 << 16) | (14 << 8) | (0))

   subtype dbus_int64_t is Long_Long_Integer;  -- dbus-arch-deps.h:36

   subtype dbus_uint64_t is Extensions.unsigned_long_long;  -- dbus-arch-deps.h:37

   subtype dbus_int32_t is int;  -- dbus-arch-deps.h:42

   subtype dbus_uint32_t is unsigned;  -- dbus-arch-deps.h:43

   subtype dbus_int16_t is short;  -- dbus-arch-deps.h:45

   subtype dbus_uint16_t is unsigned_short;  -- dbus-arch-deps.h:46

end dbus_arch_deps_h;
